Debian Bug report logs - #460429
RM: python-lame -- RoQA; depends on non-existant package

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Philipp Kern <pkern@debian.org>

Date: Sat, 12 Jan 2008 17:30:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jaldhar.vyas@linspire.com, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#460429; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
New Bug report received and forwarded. Copy sent to jaldhar.vyas@linspire.com, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: python-lame -- RoQA; depends on non-existant package
Date: Sat, 12 Jan 2008 18:27:33 +0100
Package: ftp.debian.org
Severity: normal

Please remove python-lame from unstable.  It's only present in unstable
and depends on lame (i.e. liblame-dev), which is not (no longer?) in
Debian.

It has only seen one single upload in Nov 2006 and never entered
testing.

Kind regards,
Philipp Kern




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#460429; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to 460429@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 460429@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Philipp Kern <pkern@debian.org>, 460429@bugs.debian.org
Subject: Re: Bug#460429: RM: python-lame -- RoQA; depends on non-existant package
Date: Mon, 14 Jan 2008 22:56:04 +0100
* Philipp Kern [Sat, 12 Jan 2008 18:27:33 +0100]:

> Please remove python-lame from unstable.  It's only present in unstable
> and depends on lame (i.e. liblame-dev), which is not (no longer?) in
> Debian.

liblame0 is known from very well known unofficial repositories, so I
can't see how the sole lack of liblame0 from debian.org would be grounds
for removal, IMHO.

Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
«Ara que ets la meva dona, te la fotré fins a la melsa, bacona!»
                -- Terenci Moix, “Chulas y famosas”





Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#460429; Package ftp.debian.org. Full text and rfc822 format available.

Message #13 received at 460429@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: jaldhar.vyas@linspire.com
Cc: 460429@bugs.debian.org
Subject: Fwd: RM: python-lame -- RoQA; depends on non-existant package
Date: Tue, 15 Jan 2008 08:20:58 +0100
[Message part 1 (text/plain, inline)]
Hi Jaldhar,

I requested removal of python-lame on the grounds that it is not
installable, nor buildable in the official repositories.  Could you
provide any input into that issue?  (I.e. if you are ok with that, or
not?)

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                            (proud) Debian Developer
: :' :  http://philkern.de                              Ubuntu MOTU
`. `'   xmpp:phil@0x539.de
  `-    finger pkern/key@db.debian.org
[Message part 2 (message/rfc822, inline)]
From: Philipp Kern <pkern@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: python-lame -- RoQA; depends on non-existant package
Date: Sat, 12 Jan 2008 18:27:33 +0100
Package: ftp.debian.org
Severity: normal

Please remove python-lame from unstable.  It's only present in unstable
and depends on lame (i.e. liblame-dev), which is not (no longer?) in
Debian.

It has only seen one single upload in Nov 2006 and never entered
testing.

Kind regards,
Philipp Kern

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#460429; Package ftp.debian.org. Full text and rfc822 format available.

Message #16 received at 460429@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 460429@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>
Cc: jaldhar.vyas@linspire.com
Subject: Re: Bug#460429: RM: python-lame -- RoQA; depends on non-existant package
Date: Tue, 15 Jan 2008 08:23:02 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 14, 2008 at 10:56:04PM +0100, Adeodato Simó wrote:
> * Philipp Kern [Sat, 12 Jan 2008 18:27:33 +0100]:
> > Please remove python-lame from unstable.  It's only present in unstable
> > and depends on lame (i.e. liblame-dev), which is not (no longer?) in
> > Debian.
> liblame0 is known from very well known unofficial repositories, so I
> can't see how the sole lack of liblame0 from debian.org would be grounds
> for removal, IMHO.

Maybe because it's unbuildable and needs spurious binary uploads on all
arches not uploaded with the source?  (It's dep-waiting on liblame-dev
which can never be satisfied on d.o.)  I think the package should be
moved into those "well known unofficial repositories" then and I don't
see how this would harm.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                            (proud) Debian Developer
: :' :  http://philkern.de                              Ubuntu MOTU
`. `'   xmpp:phil@0x539.de
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#460429; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #21 received at 460429@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 460429@bugs.debian.org, phil@philkern.de
Subject: Re: Fwd: RM: python-lame -- RoQA; depends on non-existant package
Date: Tue, 15 Jan 2008 03:04:31 -0500 (EST)
On Tue, 15 Jan 2008, Philipp Kern wrote:

> Hi Jaldhar,
>
> I requested removal of python-lame on the grounds that it is not
> installable, nor buildable in the official repositories.  Could you
> provide any input into that issue?  (I.e. if you are ok with that, or
> not?)
>

Actually all the packages with maintainer jaldhar.vyas@linspire.com need 
to be orphaned.  I was going to try fixing some outstanding bugs first but 
haven't found the time atm.

-- 
Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#460429; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to 460429@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #26 received at 460429@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Philipp Kern <pkern@debian.org>
Cc: 460429@bugs.debian.org, jaldhar.vyas@linspire.com
Subject: Re: Bug#460429: RM: python-lame -- RoQA; depends on non-existant package
Date: Tue, 15 Jan 2008 10:25:29 +0100
* Philipp Kern [Tue, 15 Jan 2008 08:23:02 +0100]:

> Maybe because it's unbuildable and needs spurious binary uploads on all
> arches not uploaded with the source?  (It's dep-waiting on liblame-dev
> which can never be satisfied on d.o.)  I think the package should be
> moved into those "well known unofficial repositories" then and I don't
> see how this would harm.

Er, I missed the build-dependency.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
Russian roulette in bash: ((RANDOM%6)) || rm -rf ~





Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 460429-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 460429-close@bugs.debian.org
Cc: python-lame@packages.debian.org, python-lame@packages.qa.debian.org
Subject: Bug#460429: fixed
Date: Sun, 20 Jan 2008 00:30:02 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

python-lame | 0.0.20040331-1 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460429@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Feb 2008 07:28:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:47:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.